<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{receipt.idPayment}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="print()" style="cursor: pointer;"><span><i class="fa fa-print"></i> &nbsp;{{'entity.action.print' | translate}}</span></a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><span><i class="fa fa-ban"></i> &nbsp;{{'entity.action.cancel' | translate}}</span></a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</span></a>
                </li>
            </ul>
        </p-header>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <div class="form-group" [hidden]="!receipt.idPayment">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="receipt.idPayment" readonly />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.receipt.paymentNumber" for="field_paymentNumber">Payment Number</label>
                        <input type="text" class="form-control" name="paymentNumber" id="field_paymentNumber"
                            [(ngModel)]="receipt.paymentNumber"  />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.receipt.refferenceNumber" for="field_refferenceNumber">Refference Number</label>
                        <input type="text" class="form-control" name="refferenceNumber" id="field_refferenceNumber"
                            [(ngModel)]="receipt.refferenceNumber"  />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.receipt.dateCreate" for="field_dateCreate">Date Create</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dateCreate" name="input_dateCreate" [(ngModel)]="receipt.dateCreate"
                                dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.receipt.amount" for="field_amount">Amount</label>
                        <input currencyMask class="form-control" name="amount" id="field_amount"
                            [(ngModel)]="receipt.amount"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                             />
                    </div>

                    <div class="form-group">
                        <label jhiTranslate="mpmApp.receipt.paymentType" for="field_paymentType">Payment Type</label>
                        <select class="form-control" id="field_paymentType" name="paymentType" [(ngModel)]="receipt.paymentTypeId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="paymentTypeOption.idPaymentType" *ngFor="let paymentTypeOption of paymenttypes; trackBy: trackPaymentTypeById">{{paymentTypeOption.id}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.receipt.method" for="field_method">Method</label>
                        <select class="form-control" id="field_method" name="method" [(ngModel)]="receipt.methodId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="paymentMethodOption.idPaymentMethod" *ngFor="let paymentMethodOption of paymentmethods; trackBy: trackPaymentMethodById">{{paymentMethodOption.id}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.receipt.internal" for="field_internal">Internal</label>
                        <select class="form-control" id="field_internal" name="internal" [(ngModel)]="receipt.internalId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.id}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.receipt.paidTo" for="field_paidTo">Paid To</label>
                        <select class="form-control" id="field_paidTo" name="paidTo" [(ngModel)]="receipt.paidToId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="billToOption.idBillTo" *ngFor="let billToOption of billtos; trackBy: trackBillToById">{{billToOption.id}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.receipt.paidFrom" for="field_paidFrom">Paid From</label>
                        <select class="form-control" id="field_paidFrom" name="paidFrom" [(ngModel)]="receipt.paidFromId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="billToOption.idBillTo" *ngFor="let billToOption of billtos; trackBy: trackBillToById">{{billToOption.id}}</option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>